=== modified file 'loggerhead/templates/changelog.pt'
--- loggerhead/templates/changelog.pt	2008-06-20 17:28:20 +0000
+++ loggerhead/templates/changelog.pt	2008-06-20 18:04:33 +0000
@@ -44,21 +44,26 @@
                                                             title 'Show revision '+history.get_revno(navigation.last_in_page_revid)"
                                             tal:content="python:history.get_revno(navigation.last_in_page_revid)"></a></p>
         <p class="expand" id="expand_all"><a tal:attributes="href string:javascript:toggle_expand_all('open')">
-            <img tal:attributes="src python:tg.url('/static/images/treeCollapsed.png')"
+            <img tal:attributes="src python:branch.static_url('/static/images/treeCollapsed.png')"
                   alt="expand all" /> expand all</a>
         </p>
         <p class="expand" id="collapse_all" style="display:none;"><a tal:attributes="href string:javascript:toggle_expand_all('close')">
-            <img tal:attributes="src python:tg.url('/static/images/treeCollapsed.png')"
+            <img tal:attributes="src python:branch.static_url('/static/images/treeCollapsed.png')"
                   alt="collapse all" /> collapse all</a>
         </p>
         <!-- Table -->        
         <table id="logentries"
-        <p tal:condition="changes"
-           class="changelog">
-          <tal:b content="structure python:collapse_all_button('cl', branch)" />
-        </p>
-
-        <table class="log-entries"
+               tal:define="subcolspan python:4-bool(all_same_author)">
+            <tr class="logheader">
+                <td class="revisionnumber">Rev</td>
+                <td class="expandcell">&nbsp;</td>
+                <td class="summarycell">Summary</td>
+                <td class="authorcell">Author</td>
+                <td class="datecell">Date</td>
+                <td class="diffcell">Diff</td>
+                <td class="downloadcell">Files</td>
+            </tr>
+            <tal:block tal:repeat="entry changes">
             <a tal:attributes="name string:entry-${entry/revno}"/>
                 <tr tal:attributes="class string:blueRow${entry/parity} revision_log">
                 <td class="revnro revnolink"><a tal:attributes="title python:'Show revision '+entry.revno;
@@ -67,7 +72,7 @@
                 </td>            
                 <td class="expcell">
                     <div class="expand_revisioninfo">
-                        <img tal:attributes="src python:tg.url('/static/images/treeCollapsed.png')" 
+                        <img tal:attributes="src python:branch.static_url('/static/images/treeCollapsed.png')" 
                              alt="Expand Revision" />
                     </div>
                 </td>
@@ -109,10 +114,10 @@
                 </td>
                 <td class="diffr"><a tal:attributes="title python:'Show diff at revision '+entry.revno;
                                                      href href  python:url(['/revision', entry.revno], clear=1)">
-                                  <img tal:attributes="src python:tg.url('/static/images/ico_diff.gif')" alt="Diff" /></a></td>
+                                  <img tal:attributes="src python:branch.static_url('/static/images/ico_diff.gif')" alt="Diff" /></a></td>
                 <td class="downr"><a tal:attributes="href python:branch.url(['/files', entry.revno]);
                                                      title string:Files at revision ${entry/revno}">
-                                   <img tal:attributes="src python:tg.url('/static/images/ico_file.gif');
+                                   <img tal:attributes="src python:branch.static_url('/static/images/ico_file.gif');
                                                         alt string:Files" /></a>
                 </td>
             </tr>

=== modified file 'loggerhead/templates/macros.pt'
--- loggerhead/templates/macros.pt	2008-06-20 17:28:20 +0000
+++ loggerhead/templates/macros.pt	2008-06-20 18:04:33 +0000
@@ -8,7 +8,7 @@
       Title.
     </title>
     <style type="text/css" media="screen, print"
-        tal:content="python:'@import url('+tg.url('/static/css/launchpad_slimmer.css')+');'"></style>
+        tal:content="python:'@import url('+branch.static_url('/static/css/launchpad_slimmer.css')+');'"></style>
     <link rel="stylesheet"
           tal:attributes="href python:branch.static_url('/static/css/global.css')" />
     <script type="text/javascript"
@@ -33,7 +33,7 @@
       	<div id="finderBox">
         	<label>Jump to revision:</label>
             <input name="" type="text" />
-            <div><a href="http://bazaar.launchpad.net/~loggerhead-team/loggerhead/trunk/atom" title=""><img tal:attributes="src python:tg.url('/static/images/ico_rss.gif')"  alt="RSS" /></a></div>
+            <div><a href="http://bazaar.launchpad.net/~loggerhead-team/loggerhead/trunk/atom" title=""><img tal:attributes="src python:branch.static_url('/static/images/ico_rss.gif')"  alt="RSS" /></a></div>
         </div>
         <li><a tal:attributes="href python:url('/changes', clear=1);
                                title string:Changes;

=== modified file 'loggerhead/templates/revision.pt'
--- loggerhead/templates/revision.pt	2008-06-20 17:28:20 +0000
+++ loggerhead/templates/revision.pt	2008-06-20 18:04:33 +0000
@@ -12,7 +12,7 @@
                 tal:attributes="src python:branch.static_url('/static/javascript/collapse.js')">
         </script>
         <link rel="stylesheet" type="text/css" media="all"
-              tal:attributes="href python:tg.url('/static/css/diff.css')"/>
+              tal:attributes="href python:branch.static_url('/static/css/diff.css')"/>
       </metal:block>
     </head>
 
@@ -35,11 +35,11 @@
         
         <tal:revision-info replace="structure python:revisioninfo(url, branch, change, modified_file_link_rev)" />
 
-        <p class="expand"><a href="#"><img tal:attributes="src python:tg.url('/static/images/treeCollapsed.png')" 
+        <p class="expand"><a href="#"><img tal:attributes="src python:branch.static_url('/static/images/treeCollapsed.png')" 
                              alt="collapse all" /> collapse all</a></p>
-                        <p class="codin"><a href="#"><img tal:attributes="src python:tg.url('/static/images/newCode.gif')" 
+                        <p class="codin"><a href="#"><img tal:attributes="src python:branch.static_url('/static/images/newCode.gif')" 
                            alt="added" /> added</a></p>
-        <p class="codin"><a href="#"><img tal:attributes="src python:tg.url('/static/images/deleteCode.gif')" alt="removed" /> removed</a></p>
+        <p class="codin"><a href="#"><img tal:attributes="src python:branch.static_url('/static/images/deleteCode.gif')" alt="removed" /> removed</a></p>
         <div class="clear"><!-- --></div>
         <tal:compare-to condition="python:compare_revid is not None">
           (compared to revision <tal:b content="python:history.get_revno(compare_revid)" />)
@@ -83,7 +83,7 @@
           <tal:block repeat="item change/changes/modified">
 
               <tal:u define="u python:util.uniq(uniqs, item.file_id)">
-                      <div class="diffBox"><a href="#"><img tal:attributes="src python:tg.url('/static/images/treeCollapsed.png');
+                      <div class="diffBox"><a href="#"><img tal:attributes="src python:branch.static_url('/static/images/treeCollapsed.png');
                                                                             title string:Annotate ${item/filename}" /></a>
                               <a tal:attributes="href python:url(['/annotate', change.revno], clear=1, file_id=item.file_id)" 
                                   tal:content="item/filename"></a></div>

